@import "../../../../global.scss";

.table {
    thead th {
      border-top: none !important;
      border-bottom: none !important;
      background-color: $DarkBlue;
      color: $Lime;
      font-weight: normal;
      vertical-align: middle;
  
      &:not(:first-child) {
        text-align: center;
      }
    }

    tr{
        text-align: center;
    }
  
    tbody tr:nth-child(2n) {
      background-color: rgba($color: $DarkBlue, $alpha: 0.15);
    }
  
    td, th {
      padding: 5px 12px;
      vertical-align: middle;
      color: $DarkBlue;
      border: none;
    }
  }


  .middle{
      vertical-align: middle;
  }

.iconWrapperRow{
    width: 100%;
    display: flex;
    td{
        flex: 1;
    }
}

.dropdown {
    :global(.dropdown-menu) a:active {
      background-color: $DarkBlue;
    }
  }
  
  .dropdownBtn {
    &::after {
      content: "";
      display: inline-block;
      height: 8px;
      width: 8px;
      border: 1px solid;
      border-color: $DarkBlue;
      border-left: none;
      border-top: none;
      transform: rotate(45deg) translateY(-4px);
      margin-left: 20px;
    }
  
    color: $DarkBlue;
    border-color: rgba($DarkBlue, 0.3) !important;
    padding: 3px 15px;
    font-size: 14px;
  
    &:hover,
    &:active,
    &:focus {
      background-color: $White !important;
      color: $DarkBlue !important;
      border-color: rgba($DarkBlue, 0.3) !important;
      outline: none !important;
      box-shadow: none !important;
    }
  }

.btnRight {
    background-color: $Teal;
    color: $White;
    padding: 3px 15px;
    font-size: 14px;
    border: none;
  
    &:hover, &:active, &:focus {
        background-color: $Teal !important;
        color: $White !important;
        padding: 3px 15px !important;
        font-size: 14px !important;
        border: none !important;
    }
  }
  
  .dropdown_height{
    max-height: 50vh;
    overflow: scroll;
    background: white;
    width: auto;
  }
  
  